Get configuration for tenant. - Fabric
Get configuration for tenant
Get configuration for tenant.
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config/{configType}/name/{configName} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Example Code Snippets
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config/{configType}/name/{configName}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config/{configType}/name/{configName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
- 200: Configuration found and returned.
- 400: Bad Request.
- 404: Configuration Not Found.
- 500: Internal Server Error.
Example Response Data
{
"configName": "ENUM",
"objectValue": "SYSTEM",
"objectType": "SYSTEM",
"configType": "HOLD",
"tenantId": "erfvda5435234tgfdvsf"
}
Authorization
- Authorization: Required, Bearer authentication header of the form
Bearer <token>.
Headers
- x-site-context: Required, a JSON object that includes the
account,channel,stage, anddateattributes.